Subject: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

From: Loa Andersson <[email-masked]>
Date: Thu, 01 Mar 2007 17:54:15 +0100

Dinesh,

quick question on  draft-mohan-pwe3-vccv-eth-01.txt. It seems like
you are expanding the PSN acronym to *public switched network". And
then go on and say that today Ethernet is becoming (has become) such
a PSN, and that it would be motivated to take on the work around vccv
you are proposing for such a PSN.

I believe we share a number of the ideas on how Ethernet could be
used in the future.

However, it seems that the work proposed here is out of charter for the
PWE3 wg and also for the IETF. The PWE3 wg charter expands the PSN
acronym as *packet switched network*, and then go on to limit it to
*IP or MPLS enabled IP packet switched networks (PSN)*.

If we want to take on the work proposed in the draft there seems to be
two possible routes open

- change the charter to talk about *publick switched networks* in
  general (I would have objections to this route)
or

- limit the proposed work to Ethernet PWs (single or multi hop) over
  the *IP or MPLS enabled IP packet switched networks (PSN)* as defined
  in the PW charter

/Loa

-- 
Loa Andersson

Principal Networking Architect
Acreo AB                           phone:  +46 8 632 77 14
Isafjordsgatan 22                  mobile: +46 739 81 21 64
Kista, Sweden                      email:  [email-masked]
                                           [email-masked]

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 01 Mar 2007 17:07:32 +0000

>   general (I would have objections to this route)

I agree the IETF is the design authority for IP and MPLS PSNs,
it is not the design authority for Ethernet PSNs.

- Stewart

---

From: "David Allan" <[email-masked]>
Date: Thu, 1 Mar 2007 16:41:57 -0500

I think we are splitting hairs here, 

Clearly any network technology upon which MPLS will perform PHP will
simply work as a transport layer for PWs...MPLS would not appear to
care. So that includes POS, Ethernet etc. Somewhere along the line the
MPLS architecture decided it did not have to be a design authority for
other PSNs...

It is a small further optimization such that PEs that do not offer
transit do not bother LDP peering with other PEs at the PSN layer as
they'll only offer each other explicit NULL labels anyway.... Burn a lot
of state in order to agree to do nothing.

SO perfectly consistent with RFC 3031 etc. we can envision PWs over
virtually any media...

IMO "in scope" or "out of scope" is an amazingly artifical
distinction...

Cheers
Dave

-----Original Message-----
From: Stewart Bryant [mailto:[email-masked]] 
Sent: Thursday, March 01, 2007 12:08 PM
To: Loa Andersson
Cc: Dinesh Mohan; pwe3
Subject: Re: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

>   general (I would have objections to this route)

I agree the IETF is the design authority for IP and MPLS PSNs, it is not
the design authority for Ethernet PSNs.

- Stewart

---

From: "O'Connor, Don" <[email-masked]>
Date: Thu, 1 Mar 2007 16:59:06 -0600

The fact that IETF is not the design authority for SONET/ SDH and OTN networks did not prevent the CCAMP WG from developing GMPLS control plane standards for these networks. 

I would suggest that consideration be given to updating the PWE3 charter not to "talk about switched networks in general", but to 

1) Specify new PSN tunnel types for pseudowires

2) Add SONET/SDH and OTN circuit switched (CSN) tunnels

I suggest that the new pseudowire PSN and CSN tunnels be explicitly specified and limited to industry standards. For example what has been referred to as 'pseudowires over Ethernet" would be addressed by specifying a new PSN tunnel type of an IEEE 802.1ah Provider Backbone Bridge MAC in MAC encapsulation. 

New CSN tunnels would potentially include ITU / ANSI standard SDH SONET paths and ITU G.709 OTN paths.

Regards

Don

-----Original Message-----
From: Stewart Bryant [mailto:[email-masked]]
Sent: Thursday, March 01, 2007 11:08 AM
To: Loa Andersson
Cc: Dinesh Mohan; pwe3
Subject: Re: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

- Stewart

---

From: "Dinesh Mohan" <[email-masked]>
Date: Fri, 2 Mar 2007 09:42:09 -0500

Loa,

First of all, glad to know that we share a number of ideas on how
Ethernet could be used in future :-)

I think that the areas of technology responsibilities have been
generally understood by different SDOs. From time to time, these get
muddied but then we do seem to restore to some order via
liaisons/collaborations etc.

Regarding the scope question, I am bit intrigued. "public switched
network" or "packet switched network" is really dependent on context. I
am OK with "packet switched networks" in my context. Yes, IETF may not
focus on Ethernet PSN, however, it does seem to tremendous interest in
working on control planes for other PSNs (including packet and circuit
switched) on the account of being IP/MPLS control plane authority.
However, suddenly attempt to utilize IETF defined VCCV management
channel for managing IETF defined PW over Ethernet is deemed to be out
of scope!

I will be glad to work with you/group to see how we can address this
work in IETF since IMO IETF is the code point authority for kind of
extensions proposed in the draft.

---
Dinesh

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Thursday, March 01, 2007 11:54 AM
To: pwe3; Dinesh Mohan
Subject: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

Dinesh,

quick question on  draft-mohan-pwe3-vccv-eth-01.txt. It seems like you
are expanding the PSN acronym to *public switched network". And then go
on and say that today Ethernet is becoming (has become) such a PSN, and
that it would be motivated to take on the work around vccv you are
proposing for such a PSN.

I believe we share a number of the ideas on how Ethernet could be used
in the future.

However, it seems that the work proposed here is out of charter for the
PWE3 wg and also for the IETF. The PWE3 wg charter expands the PSN
acronym as *packet switched network*, and then go on to limit it to *IP
or MPLS enabled IP packet switched networks (PSN)*.

- change the charter to talk about *publick switched networks* in
  general (I would have objections to this route) or

/Loa

--
Loa Andersson

---

From: Loa Andersson <[email-masked]>
Date: Mon, 05 Mar 2007 16:19:41 +0100

Dinesh Mohan wrote:
> Loa,
> 
> suddenly attempt to utilize IETF defined VCCV management

do we have such a pw? which doc?

/Loa

-- 
Loa Andersson

---

From: Mark Townsley <[email-masked]>
Date: Mon, 05 Mar 2007 16:31:49 +0100

Clearly, PSN as an acronym is overloaded:

http://acronyms.thefreedictionary.com/PSN

However, as can be seen in the charter of PWE3 and abstract of RFC3985, 
the PWE3 WG settled on PSN as a "Packet Switched Network," and more 
specifically a PSN as an IP or MPLS network. Let's try and stick to one 
meaning for "PSN" at least within the scope of our own terminology space.

If the PWE3 WG wants to venture outside of this, it is at least a 
charter update if not update to RFC3985 as well. As with other work 
which is significantly related to the IEEE, this would entail some level 
of liaison activity in order to establish proper boundaries and manage 
any overlap in responsibilities. I'm not necessarily opposing any of 
this at this stage, just outlining what must be done if there is in fact 
consensus to treat Ethernet as a PWE3 PSN going forward.

- Mark

---

From: "Dinesh Mohan" <[email-masked]>
Date: Mon, 5 Mar 2007 10:32:44 -0500

Loa,

Please read the sentence as:

Suddenly attempt to utilize "IETF defined VCCV management channel" for
managing "IETF defined PW" over Ethernet is deemed to be out of scope.

The fact that PW happens to be realized over IP/MPLS, Ethernet, etc
still does not change the fact that PW is defined in IETF as is the
VCCV.  

---
Dinesh

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Monday, March 05, 2007 10:20 AM
To: Mohan, Dinesh (CAR:QW30)
Cc: pwe3
Subject: Re: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

Dinesh Mohan wrote:
> Loa,
> 
> suddenly attempt to utilize IETF defined VCCV management channel for 
> managing IETF defined PW over Ethernet is deemed to be out of scope!

/Loa

> are expanding the PSN acronym to *public switched network". And then 
> go on and say that today Ethernet is becoming (has become) such a PSN,

> and that it would be motivated to take on the work around vccv you are

--
Loa Andersson

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 05 Mar 2007 18:34:37 +0000

So the proposal seems to be that PWE3 extends
VCCV for use with a PWE3 PW over a non IP/MPLS PSN.

We should put this on the agenda for Prague.

- Stewart

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 5 Mar 2007 13:42:16 -0500

Shouldn't the discussion first be
around modification of the charter to support
an Ethernet PSN?  The document in question
is proposing to run VCCV over PWs that
are run directly over Enet PSNs, which as
Mark just indicated, is out of the scope of
the current charter.

	--Tom

---

From: "Busschbach, Peter B \(Peter\)" <[email-masked]>
Date: Mon, 5 Mar 2007 16:24:31 -0600

Dave Allan made a point that I believe is valid and makes this whole
discussion irrelevant. To rephrase what he said:

Page 4 of RFC 4447 says:

   In the protocol specified herein, the pseudowire demultiplexor field
   is an MPLS label.  Thus, the packets that are transmitted from one
   end of the pseudowire to the other are MPLS packets, which must be
   transmitted through an MPLS tunnel.  However, if the pseudowire
   endpoints are immediately adjacent and penultimate hop popping
   behavior is in use, the MPLS tunnel may not be necessary.  

Based on this logic, PWs can be carried over SDH, Ethernet or any other
protocol that can carry MPLS packets without violating the PWE3 charter.

Peter

> Sent: Monday, March 05, 2007 1:35 PM
> To: Mark Townsley
> Cc: pwe3
> So the proposal seems to be that PWE3 extends VCCV for use 
> with a PWE3 PW over a non IP/MPLS PSN.
>

---

From: "Shah, Himanshu" <[email-masked]>
Date: Mon, 5 Mar 2007 17:51:20 -0500

I believe this is a key point.
In my view, discussions on in/out scope
really does not apply (for the reasons 
described below). Also, note that as L2
technology becomes more intelligent (eg. PBT),
keeping it out-of-scope (artificially) would be 
a mistake. 

There are other docs (past/present), that already
use this concept, such as dry martini, 
MEF3/8 (TDM-PWoETH, except ethType is different),
pw-over-pbt, etc.

IMO,
himanshu

-----Original Message-----
From: Busschbach, Peter B (Peter) [mailto:[email-masked]]
Sent: Mon 3/5/2007 5:24 PM
To: Stewart Bryant; Mark Townsley
Cc: pwe3
Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

Page 4 of RFC 4447 says:

Peter

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 05 Mar 2007 18:32:48 -0500

I would like to point out that the intent of the RFC 4447 text quoted 
by Peter was to ONLY allow PHP to be used on the physical link 
between the penultimate P router and the PE router where the PW 
terminates and connects with the attachment circuit.  In this one 
case only, the MPLS tunnel used to carry the PW terminates at the 
penultimate P router rather than at the PE router. It was not meant 
to be a general escape mechanism to allow the general use of PWs over 
tunneling mechanisms other than MPLS or L2TPv3.

Further, to quote the WG charter,

"Pseudowire Emulation Edge to Edge (PWE3) will specify the
encapsulation, transport, control, management, interworking and
security of services emulated over IETF specified PSNs."

Ethernet and SONET are not IETF specified PSNs.

So, while there may be value in supporting PWs over 
non-IETF-specified PSNs, I do agree with Stewart and Mark that a 
charter change will be necessary to pursue this work.

Cheers,
Andy

--------

At 3/5/2007 05:51 PM -0500, Shah, Himanshu wrote:
>Content-class: urn:content-classes:message
>Content-Type: multipart/alternative;
>         boundary="----_=_NextPart_001_01C75F78.CAA52CEF"
>
>From: Busschbach, Peter B (Peter) 
>[<mailto:[email-masked]>mailto:[email-masked]]
> > From: Stewart Bryant [<mailto:[email-masked]>mailto:[email-masked]]
> <https://www1.ietf.org/mailman/listinfo/pwe3>https://www1.ietf.org/mailman/listinfo/pwe3
> >
>
><https://www1.ietf.org/mailman/listinfo/pwe3>https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: "Busschbach, Peter B \(Peter\)" <[email-masked]>
Date: Mon, 5 Mar 2007 17:43:01 -0600

Andy,
 
I respectfully disagree. The text that I quoted says "... if the
pseudowire endpoints are immediately adjacent ...". Note the "s" at the
end of "endpoints". Therefore, the text is about adjacent PEs and it
says that in that case there is no need for an MPLS tunnel to carry the
PW. In other words, the PW can be carried directly over the link layer
between the adjacent PEs.
 
Peter

________________________________

	From: Andrew G. Malis [mailto:[email-masked]] 
	Sent: Monday, March 05, 2007 6:33 PM
	To: Shah, Himanshu
	Cc: Busschbach, Peter B (Peter); Stewart Bryant; Mark Townsley;
pwe3
	Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

	I would like to point out that the intent of the RFC 4447 text
quoted by Peter was to ONLY allow PHP to be used on the physical link
between the penultimate P router and the PE router where the PW
terminates and connects with the attachment circuit.  In this one case
only, the MPLS tunnel used to carry the PW terminates at the penultimate
P router rather than at the PE router. It was not meant to be a general
escape mechanism to allow the general use of PWs over tunneling
mechanisms other than MPLS or L2TPv3. 

	
	
	So, while there may be value in supporting PWs over
non-IETF-specified PSNs, I do agree with Stewart and Mark that a charter
change will be necessary to pursue this work.
	
	Cheers,
	Andy
	
	--------

	

		
		IMO,
		himanshu

		-----Original Message-----
		From: Busschbach, Peter B (Peter) [
mailto:[email-masked]
<mailto:[email-masked]> ]
		Sent: Mon 3/5/2007 5:24 PM
		To: Stewart Bryant; Mark Townsley
		Cc: pwe3
		Subject: RE: [PWE3] question on
draft-mohan-pwe3-vccv-eth-01.txt
		
		Dave Allan made a point that I believe is valid and
makes this whole
		discussion irrelevant. To rephrase what he said:
		
		Page 4 of RFC 4447 says:
		
		   In the protocol specified herein, the pseudowire
demultiplexor field
		   is an MPLS label.  Thus, the packets that are
transmitted from one
		   end of the pseudowire to the other are MPLS packets,
which must be
		   transmitted through an MPLS tunnel.  However, if the
pseudowire
		   endpoints are immediately adjacent and penultimate
hop popping
		   behavior is in use, the MPLS tunnel may not be
necessary. 
		
		Based on this logic, PWs can be carried over SDH,
Ethernet or any other
		protocol that can carry MPLS packets without violating
the PWE3 charter.
		
		Peter

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 05 Mar 2007 18:49:33 -0500

Peter,

Thanks for pointing that out. However, that doesn't change the 
existing charter language.

Cheers,
Andy

-------

At 3/5/2007 05:43 PM -0600, Busschbach, Peter B \(Peter\) wrote:
>pseudowire endpoints are immediately adjacent ...". Note the "s" at 
>the end of "endpoints". Therefore, the text is about adjacent PEs 
>and it says that in that case there is no need for an MPLS tunnel to 
>carry the PW. In other words, the PW can be carried directly over 
>the link layer between the adjacent PEs.
>
>Peter
>
>
>----------
>Cc: Busschbach, Peter B (Peter); Stewart Bryant; Mark Townsley; pwe3
>quoted by Peter was to ONLY allow PHP to be used on the physical 
>link between the penultimate P router and the PE router where the PW 
>to be a general escape mechanism to allow the general use of PWs 
>over tunneling mechanisms other than MPLS or L2TPv3.
>
>>From: Busschbach, Peter B (Peter) [ mailto:[email-masked]]
>> > From: Stewart Bryant 
>> [<mailto:[email-masked]>mailto:[email-masked]]

---

From: "Busschbach, Peter B \(Peter\)" <[email-masked]>
Date: Mon, 5 Mar 2007 18:00:21 -0600

Andy,
 
The charter language does not apply in the case of adjacent PEs. You
can't mandate that there be an MPLS network between adjacent PEs,
because then they would not be adjacent.
 
That said, I agree that the text in RFC4447 was not meant to sanction
PWs over Ethernet. We should update the charter and allow PWs over any
packet switched network.
 
Peter

	From: Andrew G. Malis [mailto:[email-masked]] 
	Sent: Monday, March 05, 2007 6:50 PM
	To: Busschbach, Peter B (Peter)
	Cc: Mark Townsley; pwe3; Shah,Himanshu; Stewart Bryant
	Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

	Peter,

	Cheers,
	Andy
	
	-------

		Andy,
		 
		I respectfully disagree. The text that I quoted says
"... if the pseudowire endpoints are immediately adjacent ...". Note the
"s" at the end of "endpoints". Therefore, the text is about adjacent PEs
and it says that in that case there is no need for an MPLS tunnel to
carry the PW. In other words, the PW can be carried directly over the
link layer between the adjacent PEs.
		 
		Peter

			From: Andrew G. Malis [ mailto:[email-masked]
<mailto:[email-masked]> ] 

			To: Shah, Himanshu
			
			Cc: Busschbach, Peter B (Peter); Stewart Bryant;
Mark Townsley; pwe3

			I would like to point out that the intent of the
RFC 4447 text quoted by Peter was to ONLY allow PHP to be used on the
physical link between the penultimate P router and the PE router where
the PW terminates and connects with the attachment circuit.  In this one
case only, the MPLS tunnel used to carry the PW terminates at the
penultimate P router rather than at the PE router. It was not meant to
be a general escape mechanism to allow the general use of PWs over
tunneling mechanisms other than MPLS or L2TPv3. 

			"Pseudowire Emulation Edge to Edge (PWE3) will
specify the
			
			encapsulation, transport, control, management,
interworking and
			
			security of services emulated over IETF
specified PSNs."

			So, while there may be value in supporting PWs
over non-IETF-specified PSNs, I do agree with Stewart and Mark that a
charter change will be necessary to pursue this work.

			Cheers,
			
			Andy

			--------

			At 3/5/2007 05:51 PM -0500, Shah, Himanshu
wrote:

				Content-class:
urn:content-classes:message

				

				
				technology becomes more intelligent (eg.
PBT),
				
				keeping it out-of-scope (artificially)
would be
				
				a mistake.

				There are other docs (past/present),
that already

				MEF3/8 (TDM-PWoETH, except ethType is
different),
				
				pw-over-pbt, etc.

				IMO,
				
				himanshu

				-----Original Message-----
				
				From: Busschbach, Peter B (Peter) [
mailto:[email-masked]]

				
				Cc: pwe3

				Dave Allan made a point that I believe
is valid and makes this whole
				
				discussion irrelevant. To rephrase what
he said:

				Page 4 of RFC 4447 says:

				   In the protocol specified herein, the
pseudowire demultiplexor field
				
				   is an MPLS label.  Thus, the packets
that are transmitted from one
				
				   end of the pseudowire to the other
are MPLS packets, which must be
				
				   transmitted through an MPLS tunnel.
However, if the pseudowire
				
				   endpoints are immediately adjacent
and penultimate hop popping
				
				   behavior is in use, the MPLS tunnel
may not be necessary. 

				Based on this logic, PWs can be carried
over SDH, Ethernet or any other
				
				protocol that can carry MPLS packets
without violating the PWE3 charter.

				Peter

				
				> From: Stewart Bryant
[mailto:[email-masked]]

				

				

				

				

				

				

	
				
				pwe3 mailing list
				
				[email-masked]

	
				
				pwe3 mailing list
				
				[email-masked]

---

From: "Ali Sajassi \(sajassi\)" <[email-masked]>
Date: Mon, 5 Mar 2007 18:30:07 -0800

Peter,

I think we need to differentiate between extending the current PW OAM
mechanisms to other PSN technologies (e.g., Ethernet in this case)
versus extending PW OAM mechanisms with Ethernet OAM. Frankly, I don't
see the need to do either of them because each PSN tunnel technologies
along with their service multiplexer layer (referred to PW layer in case
of IP/MPLS) have their own well defined OAM mechanisms and I don't
really see the advantage/need of cross pollinating them together. If
there is an interest, we can discuss it in more details at the next
meeting.

-Ali      

> [mailto:[email-masked]] 
> Sent: Monday, March 05, 2007 2:25 PM
> To: Stewart Bryant (stbryant); Mark Townsley (townsley)
> Cc: pwe3
> Dave Allan made a point that I believe is valid and makes 
> this whole discussion irrelevant. To rephrase what he said:
> 
> Page 4 of RFC 4447 says:
> 
> Based on this logic, PWs can be carried over SDH, Ethernet or 
> any other protocol that can carry MPLS packets without 
> violating the PWE3 charter.
> 
> Peter
> 
>

---

From: "Ali Sajassi \(sajassi\)" <[email-masked]>
Date: Mon, 5 Mar 2007 18:36:09 -0800

Himanshu,
 
Ethernet comes with its own service layer OAM, so I don't see the
rational behind mixing Ethernet OAM with PW OAM.
 
-Ali

	From: Shah, Himanshu [mailto:[email-masked]] 
	Sent: Monday, March 05, 2007 2:51 PM
	To: Busschbach, Peter B (Peter); Stewart Bryant (stbryant); Mark
Townsley (townsley)
	Cc: pwe3
	Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

	
	IMO,
	himanshu

	-----Original Message-----
	
	Dave Allan made a point that I believe is valid and makes this
whole
	discussion irrelevant. To rephrase what he said:
	
	Page 4 of RFC 4447 says:
	
	   In the protocol specified herein, the pseudowire
demultiplexor field
	   is an MPLS label.  Thus, the packets that are transmitted
from one
	   end of the pseudowire to the other are MPLS packets, which
must be
	   transmitted through an MPLS tunnel.  However, if the
pseudowire
	   endpoints are immediately adjacent and penultimate hop
popping
	   behavior is in use, the MPLS tunnel may not be necessary. 
	
	Based on this logic, PWs can be carried over SDH, Ethernet or
any other
	protocol that can carry MPLS packets without violating the PWE3
charter.
	
	Peter

---

From: "Ali Sajassi \(sajassi\)" <[email-masked]>
Date: Mon, 5 Mar 2007 18:43:06 -0800

Peter,
 
The last time I checked the PE that was directly adjacent to another PE
was also its penultimate hop :-)
 
-Ali

	From: Busschbach, Peter B (Peter)
[mailto:[email-masked]] 
	Sent: Monday, March 05, 2007 3:43 PM
	To: Andrew G. Malis; Shah, Himanshu
	Cc: Mark Townsley (townsley); pwe3; Stewart Bryant (stbryant)
	Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

	Andy,

	Peter

		Cc: Busschbach, Peter B (Peter); Stewart Bryant; Mark
Townsley; pwe3

		I would like to point out that the intent of the RFC
4447 text quoted by Peter was to ONLY allow PHP to be used on the
physical link between the penultimate P router and the PE router where
the PW terminates and connects with the attachment circuit.  In this one
case only, the MPLS tunnel used to carry the PW terminates at the
penultimate P router rather than at the PE router. It was not meant to
be a general escape mechanism to allow the general use of PWs over
tunneling mechanisms other than MPLS or L2TPv3. 

		"Pseudowire Emulation Edge to Edge (PWE3) will specify
the
		encapsulation, transport, control, management,
interworking and
		security of services emulated over IETF specified PSNs."

		
		Cheers,
		Andy
		
		--------

	

			There are other docs (past/present), that
already
			use this concept, such as dry martini,
			MEF3/8 (TDM-PWoETH, except ethType is
different),
			pw-over-pbt, etc.
			
			IMO,
			himanshu

			-----Original Message-----
			
			Dave Allan made a point that I believe is valid
and makes this whole
			discussion irrelevant. To rephrase what he said:
			
			Page 4 of RFC 4447 says:
			
			   In the protocol specified herein, the
pseudowire demultiplexor field
			   is an MPLS label.  Thus, the packets that are
transmitted from one
			   end of the pseudowire to the other are MPLS
packets, which must be
			   transmitted through an MPLS tunnel.  However,
if the pseudowire
			   endpoints are immediately adjacent and
penultimate hop popping
			   behavior is in use, the MPLS tunnel may not
be necessary. 
			
			Based on this logic, PWs can be carried over
SDH, Ethernet or any other
			protocol that can carry MPLS packets without
violating the PWE3 charter.
			
			Peter

			> So the proposal seems to be that PWE3 extends
VCCV for use

---

From: "Dinesh Mohan" <[email-masked]>
Date: Mon, 5 Mar 2007 22:47:58 -0500

Folks,
 
As Dave, Peter, Himanshu and others have noted, we can keep discussing
the nuances of charter statements and whether this work item is in scope
or not etc. however, we cannot dictate whether or not a technology can
support multi-protocol encapsulations. IETF has done a decent job of
defining PW encapsulations and there is no point in restricting it to
only MPLS/IP. Ethernet is designed to carry Ethernet payloads and is
also designed to carry other payloads types e.g. ATM, FR, IP, MPLS etc.
Carrying of MPLS payload is called out in draft-allan-pwopbt, dry
martini etc activities, and is evidently already used in PHP across
Ethernet link or network between two adjacent LSRs.
 
Therefore PWs can be used across Ethernet networks. Even though Ethernet
OAM can be applied as is for managing PWs and Ethernet OAM does not rely
upon VCCV for providing management capabilities, the proposed extensions
are more guided by existing operational expectations in managing PWs
i.e. via VCCV. This is particularly true when MS-PW comes into play and
a uniform end-to-end PW management capability is desirable across
disparate network types.
 
Hopefully, we can get to more meaningful discussion of how we can
address this work either by expanding the charter or other means, rather
than discounting it simply based on procedural subtleties.
 
---
Dinesh

Sent: Monday, March 05, 2007 7:00 PM
To: Andrew G. Malis
Cc: Mark Townsley; pwe3; Shah, Himanshu; Stewart Bryant
Subject: RE: [PWE3] question on draft-mohan-pwe3-vccv-eth-01.txt

Andy,

 
Peter

	Peter,

	Cheers,
	Andy
	
	-------

		Andy,

		Peter

			
			
			To: Shah, Himanshu

			

			Cheers,
			
			Andy

			--------

				Content-class:

				

				

				a mistake.

				
				
				pw-over-pbt, etc.

				IMO,
				
				himanshu

				-----Original Message-----

				
				
				Cc: pwe3

				

				Page 4 of RFC 4447 says:

				

				

				Peter

				

				

				

				

				

				

				

	
				
				pwe3 mailing list
				
				[email-masked]

	
				
				pwe3 mailing list
				
				[email-masked]

---

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Tue, 6 Mar 2007 09:31:25 -0500

Peter, Andy, All,
 
I think we need to be more precise of what we mean by 
"non IP/MPLS PSN". From this discussion it looks to me
that there are two options considered for non IP/MPLS PSN:
 
Option a: 
 
  Carrying Pseudowire over MPLS-in-Foo (with Foo can be
  Ethernet, etc). In this case the PW demultiplexor 
  is always an MPLS label. This is similar to MPLS-in-IP. 
 
Option b:
 
   Carrying Pseudowire over Foo, (Foo= Ethernet, etc).
   In this case the Pseudowire demultiplexor (or even
   the tunneling control protocol) is Foo-based. 
 
I think this discussion is more pointing to option "a"  
which is MPLS-over-Ethernet. Option a is not exactly
a non MPLS type PSN. Note that RFC4447 indicates
that:
 
  "Any sort of PSN tunnel can be used, as long as it is possible 
   to transmit MPLS packets through it.  The PSN tunnel can itself 
   be an MPLS LSP, or any other sort of tunnel that can carry MPLS 
   packets."
 
Since RFC4447 already covers the case of MPLS-in-X type
tunnels, a simple option to consider is to include 
MPLS-in-Ethernet (MPLS-in-Foo in general) type tunnels 
as part of MPLS PSNs. 
 
Add to it that if "MPLS-in-Ethernet" PSN 
is using the encoding already defined in RFC3032 (in other words 
RFC3032 can be interpreted as defining encoding for MPLS-in-X 
type PSNs where X=Ethernet) then this will fit nicely 
with existing pwe3 charter.
 
Hamid.

	Andy,
	 
	The charter language does not apply in the case of adjacent PEs.
You can't mandate that there be an MPLS network between adjacent PEs,
because then they would not be adjacent.
	 
	That said, I agree that the text in RFC4447 was not meant to
sanction PWs over Ethernet. We should update the charter and allow PWs
over any packet switched network.
	 
	Peter

		Peter,
		
		Thanks for pointing that out. However, that doesn't
change the existing charter language.
		
		Cheers,
		Andy
		
		-------
		
		At 3/5/2007 05:43 PM -0600, Busschbach, Peter B
\(Peter\) wrote:

			Andy,
			 
			I respectfully disagree. The text that I quoted
says "... if the pseudowire endpoints are immediately adjacent ...".
Note the "s" at the end of "endpoints". Therefore, the text is about
adjacent PEs and it says that in that case there is no need for an MPLS
tunnel to carry the PW. In other words, the PW can be carried directly
over the link layer between the adjacent PEs.
			 
			Peter

				From: Andrew G. Malis [
mailto:[email-masked] <mailto:[email-masked]> ] 

				To: Shah, Himanshu
				
				Cc: Busschbach, Peter B (Peter); Stewart
Bryant; Mark Townsley; pwe3

				I would like to point out that the
intent of the RFC 4447 text quoted by Peter was to ONLY allow PHP to be
used on the physical link between the penultimate P router and the PE
router where the PW terminates and connects with the attachment circuit.
In this one case only, the MPLS tunnel used to carry the PW terminates
at the penultimate P router rather than at the PE router. It was not
meant to be a general escape mechanism to allow the general use of PWs
over tunneling mechanisms other than MPLS or L2TPv3. 

				"Pseudowire Emulation Edge to Edge
(PWE3) will specify the
				
				encapsulation, transport, control,
management, interworking and

				Ethernet and SONET are not IETF
specified PSNs.

				So, while there may be value in
supporting PWs over non-IETF-specified PSNs, I do agree with Stewart and
Mark that a charter change will be necessary to pursue this work.

				Cheers,
				
				Andy

				--------

				At 3/5/2007 05:51 PM -0500, Shah,
Himanshu wrote:

				Content-class:

				

				

				a mistake.

				
				
				pw-over-pbt, etc.

				IMO,
				
				himanshu

				-----Original Message-----

				
				
				Cc: pwe3

				

				Page 4 of RFC 4447 says:

				

				

				Peter

				

				

				

				

				

				

				

	
				
				pwe3 mailing list
				
				[email-masked]

	
				
				pwe3 mailing list
				
				[email-masked]